Jump to content
Sign in to follow this  
C. Deel

Plug-in tool could not be selected

Recommended Posts

Several of my users have been getting an error message:

"The plug-in tool '_____' could not be selected. Make sure it is in your 'plug-ins folder.'"

The blank is filled in by any of several tools (offset, eyedropper, etc.)

This began happening after installing the upgrade from VW Architect 10.0.1 to 10.1, as well as the MacOS update from 10.2.3 to 10.2.4.

We are all on G4's with 384 MB RAM or more.

Has anybody else seen this problem?

Share this post


Link to post
Guest

Did you copy your VW 8 or 9 workspace and replace the VW 10 workspaces ?

Did someone create a custom workspace in the office that everyone else copied on their computers?

Share this post


Link to post

I'm having the same problem. Mine started when I updated to VectorWorks 10.1. I've been fixing it by quitting the program and relaunching it.

Share this post


Link to post

Katie,

I've always been current with the latest version. I don't recall if it was v10.01 or not. If that was the last update before 10.1, then yes.

Share this post


Link to post
Guest

Dan,

Did you do the web based updater or install from a CD.

Share this post


Link to post

We are getting the message with several (nemetschek) plug-ins (offset, measure, eyedropper).

The custom window plugin came from VectorDepot, and is called "Geoff's Window Tool" or something similar. But we don't recall seeing an error message on this tool.

Everybody in the office is on the same OS and VW version (10.2.4 and 10.1).

Share this post


Link to post

We are using custom workspaces, but they were made in version 10.0.1 (based on the Architect workspace). Each user made his/her own workspace on his/her own machine (not copied from one machine to the next.)

The only thing we did differently is that we added a custom 2d window tool that was probably designed for VW 8 or 9. But the tool seems to work just fine, and some of the machines using it are not having this error.

Thanks again for your help.

Share this post


Link to post
Guest

Are you only getting the plugin message with that one tool?

Do you know where you got the custom window from?

The people not having the problem, are they all using the same OS and version of VW?

Share this post


Link to post
Guest

If the tools are working fine in the previous version of VW - such as VW 10.0.1, I suggest re-running the updater to fix anything that may have gotten messed up in the update process.

Of course, installing from a CD would rule out any corruption that could take place while downloading.

You can request a cd by contacting CS at 1-888-646-4223 or sales@nemetschek.net.

Out of curiosity - what OS are you guys using?

Share this post


Link to post

We're on MacOS X 10.2.4 also. So paying for an upgrade CD is our only recourse at this point? Have other people reported this problem?

Share this post


Link to post
Guest

If the tool is working in a previous version of VW 10 but is not working in the latest version, then there was something that happened durring the update causing the problem.

The update is a large download. The larger downloads are, the greater chance you have to open yourself to corruption.

You can try to run Disk Utilities to verify and fix disk permissions and then try to run the updater again.

Share this post


Link to post

We have also had this problem, and like everyone else we notice it only on VW10.1. My users were all running 10.2.4 until yesterday when I began to update to 10.2.5.

It started with one user, but has now shown up with 5 of the 12 users that I have on VW10.1 (the rest of the office is still running 10.0 because of this and a few other annoying bugs found in VW10.1). For each afflicted user, we replaced their workspace with their back-up copy on the server. For all but one this has fixed the problem. Yes, restarting VW fixes the problem, but it just shows up again.

ALL of my users created their custom workspaces from the Architect workspace which comes with VW10.0. The plug-in error seems random at this point (I have gotten once myself, but it has never shown up again even though I am runnign the same files and using the same tools).

Any suggestions other than buying the CD? Is the CD the full VW10.1 version or just an update? I downloaded the updates to VW10.0.1 and VW10.1 myself and updated a clean version of VW10.0. This is the version that has been copied to all the computers in the office.

Sarah

Share this post


Link to post
Guest

You say the plugin works after restarting VW?

Are the users by any chance going to the OIP to type something in and then pressing the ESC key to exit out of OIP and back into the application focus ?

Share this post


Link to post

Katie,

I tried the OIP-Esc combination but could not get that to bring up the plug-in error. I asked the user if she thought she may be doing this, and she worked until it happened again. She said she definitely had not used the escape key at all nor gone into the OIP while using a tool. She and I both use the OIP a lot, but no esc.

I have replaced her VW10.1 with a "fresh" copy off our server, replaced her workspace, and replaced her prefs on Friday. It still happens. The problem progressed today to crashing VW when she tried to use her trim tool. NOTE: she says it only happens when using the trim tool or offset tool. I know that I and the other users with the problem had the error only with those tools, too.

We are ordering the VW10.1 CD upgrade today. Hopefully the download was the problem.

Sarah

Share this post


Link to post

My users also report that this most often happens on the trim and offset tools, but one seems to remember it happening with the Measure tool as well.

Share this post


Link to post

We are having the very same problem. The command will work fine for a while then say its not inthe plug in folder. Quitting vectorworks then getting back in does clear it up. We are on VW 10.1 It has happened on three of our computers so far. We have editted the Workspace.

Share this post


Link to post
Guest

Update to VW 10.1.2.

That should fix your problem.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

 

7150 Riverwood Drive, Columbia, Maryland 21046, USA   |   Contact Us:   410-290-5114

 

© 2018 Vectorworks, Inc. All Rights Reserved. Vectorworks, Inc. is part of the Nemetschek Group.

×
×
  • Create New...